## todotxt-cli 2.10

=== Makefile ===
#
# Makefile for todo.txt
#
INSTALL_DIR=/usr/local/bin

# Dynamically detect/generate version file as necessary
# This file will define a variable called VERSION.
.PHONY: .FORCE-VERSION-FILE
VERSION-FILE: .FORCE-VERSION-FILE
	@./GEN-VERSION-FILE
-include VERSION-FILE

# Maybe this will include the version in it.
todo.sh: VERSION-FILE

# For packaging
DISTFILES := todo.cfg todo_completion

DISTNAME=todo.txt_cli-$(VERSION)
dist: $(DISTFILES) todo.sh
	mkdir -p $(DISTNAME)
	cp -f $(DISTFILES) $(DISTNAME)/
	sed -e 's/@DEV_VERSION@/'$(VERSION)'/' todo.sh > $(DISTNAME)/todo.sh
	tar cf $(DISTNAME).tar $(DISTNAME)/
	gzip -f -9 $(DISTNAME).tar
	zip -9r $(DISTNAME).zip $(DISTNAME)/
	rm -r $(DISTNAME)

.PHONY: clean
clean:
	rm -f $(DISTNAME).tar.gz $(DISTNAME).zip

install:
	install --mode=755 todo.sh $(INSTALL_DIR)
	install --mode=644 todo_completion /etc/bash_completion.d/todo
	mkdir -p /etc/todo
	[ -e /etc/todo/config ] || \
		sed "s/^\(export[ \t]*TODO_DIR=\).*/\1~\/.todo/" todo.cfg > /etc/todo/config
#
# Testing
#
TESTS = $(wildcard tests/t[0-9][0-9][0-9][0-9]-*.sh)
#TEST_OPTIONS=--verbose

test-pre-clean:
	rm -rf tests/test-results "tests/trash directory"*

aggregate-results: $(TESTS)

$(TESTS): test-pre-clean
	-cd tests && ./$(notdir $@) $(TEST_OPTIONS)

test: aggregate-results
	tests/aggregate-results.sh tests/test-results/t*-*
	rm -rf tests/test-results
    
# Force tests to get run every time
.PHONY: test test-pre-clean aggregate-results $(TESTS)

=== tests/Makefile ===
test:
	$(MAKE) -C .. test

=== debian/changelog ===
todotxt-cli (2.10-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Fri, 19 Aug 2016 22:06:40 +0200

todotxt-cli (2.10-4) unstable; urgency=medium

  * d/{control,copyright}: Use my @debian.org email address
  * Added manpage

 -- Ondřej Nový <onovy@debian.org>  Sat, 13 Aug 2016 22:31:13 +0200

todotxt-cli (2.10-3) unstable; urgency=medium

  * Change directory to $ADTTMP before running Debian tests
  * Moved package to collab-maint
  * Standards-Version is 3.9.8 now (no change)

 -- Ondřej Nový <novy@ondrej.org>  Sat, 30 Apr 2016 15:15:04 +0200

todotxt-cli (2.10-2) unstable; urgency=medium

  * Removed wrong Vcs URLs.
  * Standards-Version is 3.9.7 now (no change).
  * Added generated upstream changelog.
  * Added Debian tests.
  * Fixed description (Closes: #814399).
  * Make /usr/share/bash-completion/completions/ executable.

 -- Ondřej Nový <novy@ondrej.org>  Fri, 05 Feb 2016 20:44:58 +0100

todotxt-cli (2.10-1) unstable; urgency=medium

  * Initial release. (Closes: #739973)

 -- Ondřej Nový <novy@ondrej.org>  Sat, 19 Dec 2015 11:18:20 +0100

=== debian/control ===
Source: todotxt-cli
Maintainer: Ondřej Nový <onovy@debian.org>
Section: misc
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
Homepage: http://todotxt.com/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/todotxt-cli.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/todotxt-cli.git

Package: todotxt-cli
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: simple and extensible shell script for managing todo.txt file
 If you have a file called todo.txt on your computer right now, you're in the
 right place.
 .
 So many power users try dozens of complicated todo list software
 applications, only to go right back to their trusty todo.txt file.
 .
 But it's not easy to open todo.txt, make a change, and save it—especially
 on your touchscreen device and at the command line. Todo.txt apps solve that
 problem. Simplicity is todo.txt's core value.
 .
 You're not going to find many checkboxes, drop-downs, reminders, or date
 pickers here.
 .
 Todo.txt apps are minimal, todo.txt-focused editors which help you manage
 your tasks with as few keystrokes and taps possible.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/todotxt-cli

%:
	dh $@

override_dh_clean:
	dh_clean

	rm -f VERSION-FILE

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

override_dh_auto_install:
	install -D --mode=755 todo.sh $(DESTDIR)/usr/bin/todo-txt
	install -D --mode=755 todo_completion $(DESTDIR)/usr/share/bash-completion/completions/todo-txt
	install -D --mode=644 todo.cfg $(DESTDIR)/etc/todo-txt/config

## todotxt-cli 2.11.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,22 @@
 #
 # Makefile for todo.txt
 #
-INSTALL_DIR=/usr/local/bin
+
+SHELL = /bin/sh
+
+INSTALL = /usr/bin/install
+INSTALL_PROGRAM = $(INSTALL)
+INSTALL_DATA = $(INSTALL) -m 644
+
+prefix = /usr/local
+
+# The directory to install todo.sh in.
+bindir = $(prefix)/bin
+
+# The directory to install the config file in.
+sysconfdir = $(prefix)/etc
+
+datarootdir = $(prefix)/share
 
 # Dynamically detect/generate version file as necessary
 # This file will define a variable called VERSION.
@@ -21,21 +36,36 @@
 	mkdir -p $(DISTNAME)
 	cp -f $(DISTFILES) $(DISTNAME)/
 	sed -e 's/@DEV_VERSION@/'$(VERSION)'/' todo.sh > $(DISTNAME)/todo.sh
+	chmod +x $(DISTNAME)/todo.sh
 	tar cf $(DISTNAME).tar $(DISTNAME)/
 	gzip -f -9 $(DISTNAME).tar
 	zip -9r $(DISTNAME).zip $(DISTNAME)/
 	rm -r $(DISTNAME)
 
 .PHONY: clean
-clean:
+clean: test-pre-clean
 	rm -f $(DISTNAME).tar.gz $(DISTNAME).zip
+	rm VERSION-FILE
 
-install:
-	install --mode=755 todo.sh $(INSTALL_DIR)
-	install --mode=644 todo_completion /etc/bash_completion.d/todo
-	mkdir -p /etc/todo
-	[ -e /etc/todo/config ] || \
-		sed "s/^\(export[ \t]*TODO_DIR=\).*/\1~\/.todo/" todo.cfg > /etc/todo/config
+install: installdirs
+	$(INSTALL_PROGRAM) todo.sh $(DESTDIR)$(bindir)/todo.sh
+	$(INSTALL_DATA) todo_completion $(DESTDIR)$(datarootdir)/bash_completion.d/todo
+	[ -e $(DESTDIR)$(sysconfdir)/todo/config ] || \
+	    sed "s/^\(export[ \t]*TODO_DIR=\).*/\1~\/.todo/" todo.cfg > $(DESTDIR)$(sysconfdir)/todo/config
+
+uninstall:
+	rm -f $(DESTDIR)$(bindir)/todo.sh
+	rm -f $(DESTDIR)$(datarootdir)/bash_completion.d/todo
+	rm -f $(DESTDIR)$(sysconfdir)/todo/config
+
+	rmdir $(DESTDIR)$(datarootdir)/bash_completion.d
+	rmdir $(DESTDIR)$(sysconfdir)/todo
+
+installdirs:
+	mkdir -p $(DESTDIR)$(bindir) \
+	         $(DESTDIR)$(sysconfdir)/todo \
+	         $(DESTDIR)$(datarootdir)/bash_completion.d
+
 #
 # Testing
 #
@@ -48,7 +78,7 @@
 aggregate-results: $(TESTS)
 
 $(TESTS): test-pre-clean
-	-cd tests && ./$(notdir $@) $(TEST_OPTIONS)
+	cd tests && ./$(notdir $@) $(TEST_OPTIONS)
 
 test: aggregate-results
 	tests/aggregate-results.sh tests/test-results/t*-*

=== debian/changelog ===
todotxt-cli (2.11.0-2) unstable; urgency=medium

  * d/patches: Remove wrong Bug-Debian fields
  * d/p/version.patch: Fix version to 2.11
  * Correctly set version during build (LP: #1793263)

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 17:19:01 +0200

todotxt-cli (2.11.0-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Change URL to new location
  * Drop d/CHANGELOG and use upstream one
  * Rebase patches
  * d/p/completion.patch: Fix typo in description
  * Add upstream metadata
  * Bump standards version to 4.2.1 (no changes)
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 17:02:39 +0200

todotxt-cli (2.10-5) unstable; urgency=medium

  * Bumped debhelper version to 11
  * d/control: Change Vcs-* to Salsa
  * Standards-Version is 4.1.3 now (no changes needed)
  * d/copyright: Use https in Format

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Feb 2018 15:12:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Ondřej Nový <onovy@debian.org>
 Section: misc
 Priority: optional
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 11),
 Homepage: http://todotxt.com/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/todotxt-cli.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/todotxt-cli.git
+Vcs-Browser: https://salsa.debian.org/debian/todotxt-cli/
+Vcs-Git: https://salsa.debian.org/debian/todotxt-cli.git
 
 Package: todotxt-cli
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
DESTDIR=$(CURDIR)/debian/todotxt-cli

%:
	dh $@

override_dh_clean:
	dh_clean

	rm -f VERSION-FILE

override_dh_auto_install:
	install -D --mode=755 todo.sh $(DESTDIR)/usr/bin/todo-txt
	install -D --mode=755 todo_completion $(DESTDIR)/usr/share/bash-completion/completions/todo-txt
	install -D --mode=644 todo.cfg $(DESTDIR)/etc/todo-txt/config
	sed -i 's/@DEV_VERSION@/'$(DEB_VERSION_UPSTREAM)'/' $(DESTDIR)/usr/bin/todo-txt

=== debian/tests/control ===
Tests: help
Depends: todotxt-cli

=== debian/watch ===
version=3
https://github.com/todotxt/todo.txt-cli/tags .*/v(\d[\d\.]+)\.tar\.gz
